Bug 431629 - RHEL5.2 Release Notes:OpenSwan
RHEL5.2 Release Notes:OpenSwan
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: redhat-release-notes (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Ryan Lerch
Content Services Development
: Documentation
Depends On:
Blocks: RHEL5u2_relnotes
  Show dependency treegraph
 
Reported: 2008-02-05 19:51 EST by Don Domingo
Modified: 2009-12-14 11:45 EST (History)
3 users (show)

See Also:
Fixed In Version: 5.2 Release Notes
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-27 19:57:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Domingo 2008-02-05 19:51:48 EST
Hi Tim, adding to RHEl5.2 release notes under "Feature Updates":

<quote>
OpenSwan

    OpenSwan is a free implementation of Internet Protocol Security (IPSEC) and
IKE for Linux. IPSEC strong cryptography to provide authentication and
encryption services. These services allow you to build secure tunnels through
untrusted networks. Everything passing through the untrusted network is
encrypted by the IPSEC gateway machine and decrypted by the gateway at the other
end of the tunnel. The resulting tunnel is a virtual private network or VPN.

    This release of OpenSwan also contains an IKE2 daemon that conforms to IETF
RFCs.
</quote>
Comment 1 Don Domingo 2008-02-05 19:58:26 EST
by the way, just to verify: does "IKE" stand for "Internet Key Exchange"?
Comment 2 Don Domingo 2008-04-01 22:15:35 EDT
Hi,
the RHEL5.2 release notes will be dropped to translation on April 15, 2008, at
which point no further additions or revisions will be entertained.

a mockup of the RHEL5.2 release notes can be viewed at the following link:
http://intranet.corp.redhat.com/ic/intranet/RHEL5u2relnotesmockup.html

please use the aforementioned link to verify if your bugzilla is already in the
release notes (if it needs to be). each item in the release notes contains a
link to its original bug; as such, you can search through the release notes by
bug number.

Cheers,
Don
Comment 3 Tuomo Soini 2008-04-07 16:41:38 EDT
Just to notify that Openswan is written without capital S in it. Please fix.

And IPsec should be written as "IPsec", not "IPSEC".
Comment 4 Paul Wouters 2008-04-07 17:35:09 EDT
(In reply to comment #1)
> by the way, just to verify: does "IKE" stand for "Internet Key Exchange"?

Yup
Comment 5 Paul Wouters 2008-04-07 17:37:20 EDT
Yes, please use "Openswan" not "OpenSwan" nor "Open/SWAN".
Also, indeed it is IPsec, not IPSEC.

You might want to reference the specific RFC's for IKEv2, eg:

This release of Openswan also supports IKEv2 (RFC 4306,4718)
Comment 6 Don Domingo 2008-04-08 02:30:47 EDT
Thanks Paul, Tuomo, revised as follows:

<quote>
Openswan

    Openswan is a free implementation of Internet Protocol Security (IPsec) and
Internet Key Exchange (IKE) for Linux. IPSEC uses strong cryptography to provide
authentication and encryption services. These services allow you to build secure
tunnels through untrusted networks. Everything passing through the untrusted
network is encrypted by the IPsec gateway machine and decrypted by the gateway
at the other end of the tunnel. The resulting tunnel is a virtual private
network (VPN).

    This release of Openswan supports IKEv2 (RFC 4306, 4718) and contains an
IKE2 daemon that conforms to IETF RFCs. For more information about Openswan,
refer to http://www.openswan.org/.
</quote>

please advise (before April 15) if any further revisions are required. thanks!
Comment 7 Tuomo Soini 2008-04-08 03:42:50 EDT
You still need to do more s/IPSEC/IPsec/ for it :-)
Comment 8 Don Domingo 2008-04-08 19:29:46 EDT
aarrgh missed it. thanks Tuomo! :-)

Note You need to log in before you can comment on or make changes to this bug.